> For the complete documentation index, see [llms.txt](https://docs.growthcode.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.growthcode.io/installation-guides/installation-instructions-pubprovidedid-and-liveintentid-module.md).

# Installation Instructions: PubProvidedID & LiveIntentID Module

The PubProvidedId module supports the GrowthCode on-page script (above). This module provides real-time capabilities for segmenting audiences based on context (using IAB Taxonomy 2.2, cattax: 6). It also offers HEMs (Header Enrichment Modules) that can smoothly integrate with your existing Prebid setup, making it simple to optimize your advertising strategies. The LiveIntentId module provides the functionality of LiveIntent’s Connect ID system. LiveIntent requires their module to be locally installed, unlike other modules that support a server-to-server environment.

### <mark style="color:orange;">PreBid Module Requirements</mark>

* Prebid <= Version 9.53.3, 10.16.0
* GrowthCode HEM Resolution Sync Installed

#### <mark style="color:orange;">Building Prebid with PubProvided Id Support</mark>

Compile the PubProvided ID module into your Prebid build:

{% code overflow="wrap" %}

```
$ gulp serve --modules=userId,pubProvidedIdSystem,liveIntentIdSystem,<Any other Bid Adapters>
```

{% endcode %}

#### <mark style="color:orange;">PubProvidedId Prebid Config</mark>&#x20;

There is no prebid config for pubProvidedId in prebid, the integrated Growthcode's script will take care of the config in prebid. &#x20;

#### <mark style="color:orange;">LiveIntendId Prebid Config</mark>&#x20;

There is no prebid config for LiveIntent in prebid, the integrated LiveIntent script will take care of the config in prebid. If you have your own Publisher ID or Distributor ID please let Growthcode know. \
\
[This link](https://content.zetaglobal.com/i/gAjk___54O50JWernIjQ8CrnIMMyH6vwjofmA6HZPLUSSIGNf7utPLUSSIGNeMBkYTi3WzEuAEa388EKRFH7le14J6PNJYP5lHRRDEgFFge92suPLUSSIGN8xYhT1VwZqyUfyrI___2KWm3NcfpClDErA) contains all the most up-to-date information about installing LiveIntent


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.growthcode.io/installation-guides/installation-instructions-pubprovidedid-and-liveintentid-module.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
